Help Center>Product Help

Winshuttle Function Module
compatibility matrix

Studio Products

For all supported versions of Winshuttle products, all client products (Transaction, Query, and Direct) are forward-compatible and backward-compatible with the Winshuttle Function Module.

For Studio and Foundation version-specific compatibility information, please see the Studio - Foundation compatibility matrix. Note that new Foundation functionality is not available in the client if the version of your client is older than the version of your server-side product.

Finally, product life cycle of all Winshuttle products is included on the Product Support Availability page.

Appearance in SAP ERP System

SAP Basis Release S/4HANA 1809 -
SAP 753
S/4HANA 1709 -
SAP 752
S/4HANA 1610 -
SAP 751
S/4HANA 1511 - SAP 750 EHP8 - SAP 750 ECC6-70x,
731 or 740 for
APO/ SRM/EWM
ECC6-70x -
SAP 731 or 740
ECC6 - SAP 730 ECC6 -
SAP 710 or 711
ECC5 SAP 470 SAP
4.6C

WFM version
12.1
12.0.1
12.0
Yes Yes Yes - Yes** Yes Yes Yes Yes - - -

11.2.12
11.4.1
11.4

- Yes
Yes
Yes* (11.4)
Yes - Yes** Yes Yes Yes Yes - Yes -
11.3.0
11.2.0
- - Yes Yes*
Yes**
Yes Yes Yes Yes Yes Yes -
11.1.1 - - - Yes* Yes** Yes Yes Yes Yes Yes Yes -
11.1.0 - - - - - - Yes Yes Yes Yes Yes -
11.0.1 - - - - - Yes Yes Yes Yes Yes Yes -
11.0 - - - Yes* - - Yes Yes Yes Yes Yes -
10.7.2.1
10.7
- - - - - - Yes Yes Yes Yes Yes -

Yes = Supported. To get the full benefits of a release (the co-dependent new features), the client and the WFM must be the same version.
- = Not supported.
* Non-GA version WFM: Installers are not fully tested by Winshuttle.
** Installer created for ECC6 - 70X, 731, or 740 will be used for SAP BASIS 750.

Notes:
EHP-7 Support is provided for WFM 10.7 and above, and for Winshuttle software client version 10.7 and above.
EHP-8 Support is provided for WFM 11.1.1 and above, and for Winshuttle software client version 11.1.1 and above.
SAP 4.6C is not supported by Winshuttle Function Module versions 11.x and 12.x.

If you plan to use Winshuttle Studio with S/4HANA, the minimum compatible Studio + WFM versions are below. (Transaction, Query, and Direct versions 10.7 and earlier may work, but are not recommended.)

S/4HANA 1511: None (no GA version)
S/4HANA 1610: 11.2
S/4HANA 1709: 11.4 and 11.2.12
S/4HANA 1809: 12.0.1, 12.0.2, and 12.1

The Winshuttle Function Module for SAP

The client software (Studio) must be either the same version or a later version of the Function Module (FM) in order to run and be supported by Winshuttle. WFM 10.7 is an exception to this; it runs successfully with client software versions 10.6 and 10.6.1.

As a best practice, Winshuttle recommends that all customers plan to install the latest WFM while they are planning to deploy the new SAP server release (e.g. S/4HANA or ECC) to ensure interoperability with the new SAP server release. Subsequently, they should prepare for a Studio or Foundation upgrade that will provide additional features and/or performance improvements which are tied to the WFM. For more details, please refer to the Studio Upgrade Guides.

However, customers using version 11 or later of Studio and/or Foundation, could possibly upgrade their WFM to the latest version of the WFM that is certified with the newly available SAP S4/HANA release. If customers run into issues with the mixed version configuration, they need to upgrade their version of Studio to the same version as that of their WFM to receive Winshuttle customer support. For very complex scripts, customers may need to additionally update their scripts to work seamlessly with the newer version of Studio and WFM with SAP S/4HANA.

For further background, please refer to the SAP and Winshuttle Product Compatibility page.

Prior to combined WFM installer

  Transaction client & Winshuttle Server version
10.3 10.4 10.4.1 10.5 10.6 10.6.1 10.7
Transaction
WFM version
10.3 Yes Yes* Yes* Yes* Yes* Yes* Yes*
10.4 - Yes Yes* Yes* Yes* Yes* Yes*
10.4.1 - - Yes Yes* Yes* Yes* Yes*
10.5 - - - Yes Yes Yes Yes
10.6 - - - - Yes Yes Yes
10.7 - - - - Yes Yes Yes

Yes = Supported. To get full benefits of a release (co-dependent new features and SAP Enhancement Packs), client and FM must be the same version.
Yes* = Supported, but not recommended because of core WFM changes.
- = Not supported.

  Query client & Winshuttle Server version
10.3 10.4 10.4.1 10.5 10.6 10.6.1 10.7
Query WFM version 10.3 Yes Yes Yes Yes Yes Yes Yes
10.4 - Yes Yes Yes Yes Yes Yes
10.5 - - - Yes Yes Yes Yes
10.6 - - - - Yes Yes Yes
10.7 - - - - Yes Yes Yes

Yes = Supported. To get full benefits of a release (co-dependent new features and SAP Enhancement Packs), client and FM must be the same version.
- = Not supported.

After combined WFM installer (WFM version 10.6 and later)

WFM version Transaction/Query client version Studio client version
10.7
10.7.1
10.7.3
11.0
11.0.1 11.0.3
11.1.1 11.2.0 11.3.0 11.4.0
11.4.1
11.2.12 12.0
12.0.1
12.1
10.7 Yes Yes Yes Yes Yes Yes Yes Yes
10.7.2.1 Yes Yes Yes Yes Yes Yes Yes Yes
11.0
11.0.1
Yes Yes Yes Yes Yes Yes Yes Yes
11.1.1 Yes Yes Yes - Yes Yes Yes Yes
11.2.0
11.3.0
Yes Yes Yes Yes Yes Yes Yes Yes
11.4.0
Yes Yes Yes Yes Yes Yes - Yes
11.4.1 Yes Yes Yes Yes Yes Yes Yes Yes
11.2.12 Yes Yes Yes Yes Yes Yes Yes Yes
12.0
12.0.1
12.1
Yes Yes Yes Yes Yes Yes Yes Yes

Yes = Supported. To get full benefits of a release (co-dependent new features and SAP Enhancement Packs), client and FM must be the same version.
- = Not supported.